public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Catalyst-Runtime/
Date: Thu, 19 Jul 2012 07:52:43 +0000 (UTC)	[thread overview]
Message-ID: <1342682029.23c56a5f8b5fd3d9002901b1f1b680a00f0eb66e.kent@gentoo> (raw)

commit:     23c56a5f8b5fd3d9002901b1f1b680a00f0eb66e
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Jul 19 07:13:49 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Jul 19 07:13:49 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=23c56a5f

[newversion] Catalyst-Runtime-5.900.150

(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key ECD2C675C102CDA4)

---
 .../Catalyst-Runtime-5.900.150.ebuild              |  130 ++++++++++++++++++++
 dev-perl/Catalyst-Runtime/ChangeLog                |    6 +
 2 files changed, 136 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Catalyst-Runtime/Catalyst-Runtime-5.900.150.ebuild b/dev-perl/Catalyst-Runtime/Catalyst-Runtime-5.900.150.ebuild
new file mode 100644
index 0000000..317902f
--- /dev/null
+++ b/dev-perl/Catalyst-Runtime/Catalyst-Runtime-5.900.150.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=BOBTFISH
+MODULE_VERSION=5.90015
+inherit perl-module
+
+DESCRIPTION='The Catalyst Framework Runtime'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.59 ( 6.590.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.590.0
+}
+perl_meta_build() {
+	# Class::Data::Inheritable
+	echo dev-perl/Class-Data-Inheritable
+	# Data::Dump
+	echo dev-perl/Data-Dump
+	# ExtUtils::MakeMaker 6.59 ( 6.590.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.590.0
+	# HTTP::Request::Common
+	echo dev-perl/HTTP-Message
+	# Test::Exception
+	echo dev-perl/Test-Exception
+	# Test::More 0.88 ( 0.880.0 )
+	echo \>=virtual/perl-Test-Simple-0.88
+}
+perl_meta_runtime() {
+	# CGI::Simple::Cookie 1.109 ( 1.109.0 )
+	echo \>=dev-perl/Cgi-Simple-1.109.0
+	# Carp
+	# echo virtual/perl-Carp
+	# Class::C3::Adopt::NEXT 0.07 ( 0.70.0 )
+	echo \>=dev-perl/Class-C3-Adopt-NEXT-0.70.0
+	# Class::Load 0.12 ( 0.120.0 )
+	echo \>=dev-perl/Class-Load-0.120.0
+	# Class::MOP 0.95 ( 0.950.0 )
+	echo \>=dev-perl/Moose-0.950
+	# Data::Dump
+	echo dev-perl/Data-Dump
+	# Data::OptList
+	echo dev-perl/Data-OptList
+	# HTML::Entities
+	echo dev-perl/HTML-Parser
+	# HTML::HeadParser
+	echo dev-perl/HTML-Parser
+	# HTTP::Body 1.06 ( 1.60.0 )
+	echo \>=dev-perl/HTTP-Body-1.60.0
+	# HTTP::Headers 1.64 ( 1.640.0 )
+	echo \>=dev-perl/HTTP-Message-1.640.0
+	# HTTP::Request 5.814 ( 5.814.0 )
+	echo \>=dev-perl/HTTP-Message-5.814.0
+	# HTTP::Request::AsCGI 1.0 ( 1.0.0 )
+	echo \>=dev-perl/HTTP-Request-AsCGI-1.0.0
+	# HTTP::Response 5.813 ( 5.813.0 )
+	echo \>=dev-perl/HTTP-Message-5.813.0
+	# LWP::UserAgent
+	echo dev-perl/libwww-perl
+	# List::MoreUtils
+	echo dev-perl/List-MoreUtils
+	# MRO::Compat
+	echo dev-perl/MRO-Compat
+	# Module::Pluggable 3.9 ( 3.900.0 )
+	echo \>=virtual/perl-Module-Pluggable-3.900.0
+	# Moose 1.03 ( 1.30.0 )
+	echo \>=dev-perl/Moose-1.030
+	# MooseX::Emulate::Class::Accessor::Fast 0.00903 ( 0.9.30 )
+	echo \>=dev-perl/MooseX-Emulate-Class-Accessor-Fast-0.9.30
+	# MooseX::Getopt 0.30 ( 0.300.0 )
+	echo \>=dev-perl/MooseX-Getopt-0.300.0
+	# MooseX::MethodAttributes::Inheritable 0.24 ( 0.240.0 )
+	echo \>=dev-perl/MooseX-MethodAttributes-0.240.0
+	# MooseX::Role::WithOverloading 0.09 ( 0.90.0 )
+	echo \>=dev-perl/MooseX-Role-WithOverloading-0.90.0
+	# MooseX::Types
+	echo dev-perl/MooseX-Types
+	# MooseX::Types::Common::Numeric
+	echo dev-perl/MooseX-Types-Common
+	# MooseX::Types::LoadableClass 0.003 ( 0.3.0 )
+	echo \>=dev-perl/MooseX-Types-LoadableClass-0.3.0
+	# Path::Class 0.09 ( 0.90.0 )
+	echo \>=dev-perl/Path-Class-0.09
+	# Plack 0.9974 ( 0.997.400 )
+	echo \>=dev-perl/Plack-0.997.400
+	# Plack::Middleware::ReverseProxy 0.04 ( 0.40.0 )
+	echo \>=dev-perl/Plack-Middleware-ReverseProxy-0.40.0
+	# Plack::Test::ExternalServer
+	echo dev-perl/Plack-Test-ExternalServer
+	# Scalar::Util
+	echo virtual/perl-Scalar-List-Utils
+	# String::RewritePrefix 0.004 ( 0.4.0 )
+	echo \>=dev-perl/String-RewritePrefix-0.4.0
+	# Sub::Exporter
+	echo dev-perl/Sub-Exporter
+	# Task::Weaken
+	echo dev-perl/Task-Weaken
+	# Text::Balanced
+	echo virtual/perl-Text-Balanced
+	# Text::SimpleTable 0.03 ( 0.30.0 )
+	echo \>=dev-perl/Text-SimpleTable-0.30.0
+	# Time::HiRes
+	echo virtual/perl-Time-HiRes
+	# Tree::Simple 1.15 ( 1.150.0 )
+	echo \>=dev-perl/Tree-Simple-1.150.0
+	# Tree::Simple::Visitor::FindByPath
+	echo dev-perl/Tree-Simple-VisitorFactory
+	# Try::Tiny
+	echo dev-perl/Try-Tiny
+	# URI 1.35 ( 1.350.0 )
+	echo \>=dev-perl/URI-1.35
+	# namespace::autoclean 0.09 ( 0.90.0 )
+	echo \>=dev-perl/namespace-autoclean-0.90.0
+	# namespace::clean 0.23 ( 0.230.0 )
+	echo \>=dev-perl/namespace-clean-0.230.0
+	# perl v5.8.3 ( 5.8.3 )
+	echo \>=dev-lang/perl-5.8.3
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/Catalyst-Runtime/ChangeLog b/dev-perl/Catalyst-Runtime/ChangeLog
index d5557ff..85cde8f 100644
--- a/dev-perl/Catalyst-Runtime/ChangeLog
+++ b/dev-perl/Catalyst-Runtime/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Catalyst-Runtime-5.900.150 (19 Jul 2012)
+
+  19 Jul 2012; Kent Fredric <kentfredric@gmail.com>
+  +Catalyst-Runtime-5.900.150.ebuild:
+  Version Bump
+
   23 Jun 2012; Kent Fredric <kentfredric@gmail.com>
   Catalyst-Runtime-5.800.240.ebuild, Catalyst-Runtime-5.800.250.ebuild,
   Catalyst-Runtime-5.800.290.ebuild, Catalyst-Runtime-5.800.300.ebuild,



             reply	other threads:[~2012-07-19  7:55 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-07-19  7:52 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-06-13 15:21 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Catalyst-Runtime/ Kent Fredric
2015-04-24 15:04 Kent Fredric
2013-06-26  7:42 Kent Fredric
2013-05-04 21:21 Kent Fredric
2013-05-03 12:51 Kent Fredric
2013-05-03  7:51 Kent Fredric
2012-10-27  8:36 Kent Fredric
2012-06-23 14:09 Kent Fredric
2012-05-23  6:09 Kent Fredric
2012-04-06 20:42 Kent Fredric
2012-02-22 22:30 Kent Fredric
2012-02-12  7:22 Kent Fredric
2012-02-11 13:45 Kent Fredric
2011-12-08  9:30 Kent Fredric
2011-11-11 14:38 Kent Fredric
2011-11-11 14:38 Kent Fredric
2011-10-31  8:46 Kent Fredric
2011-09-23  6:17 Kent Fredric
2011-08-26 17:35 Kent Fredric
2011-08-26 10:11 Kent Fredric
2011-07-31  4:40 Kent Fredric
2011-07-31  4:40 Kent Fredric
2011-07-16  7:12 Kent Fredric
2011-06-29  1:24 Kent Fredric
2011-05-06  7:21 Kent Fredric
2011-04-13 14:41 Kent Fredric
2011-03-22 17:56 Kent Fredric
2011-03-22 17:56 Kent Fredric
2011-03-22  1:34 Kent Fredric
2011-03-10 18:35 Kent Fredric
2011-03-10 18:35 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1342682029.23c56a5f8b5fd3d9002901b1f1b680a00f0eb66e.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox